Subject: Re: What's cooking in git.git (Jul 2009, #02; Sun, 26)

From: Jakub Narebski <[email-masked]>
Date: Sun, 26 Jul 2009 02:08:19 -0700 (PDT)

Junio C Hamano <[email-masked]> writes:

> ----------------------------------------------------------------
> [New Topics]
> 
> * jk/show-tag (Sat Jul 18 06:14:37 2009 -0400) 2 commits
>  + show: add space between multiple items
>  + show: suppress extra newline when showing annotated tag
> 
> Didn't look bad at all, but is not pressing either.

I like the output of "git show <tag>" much better than current one
(where I sometimes fall back on "git cat-file -p <tag>").
 
> * jn/gitweb-blame (Sat Jul 25 00:44:10 2009 +0200) 10 commits
>  - gitweb: Create links leading to 'blame_incremental' using
>    JavaScript
>  - gitweb: Incremental blame (proof of concept)
>  - gitweb: Add optional "time to generate page" info in footer
>  - gitweb: Add -partial_query option to href() subroutine

This part (above) is RFC, especially the 'incremental blame' patch,
which is in flux.

Well, perhaps except 'time to generate page' (aka. 'timed' feature),
but even this still have some things (like name of feature enabling
this behavior: currently 'named', or unconditional requiring
Time::HiRes if it exists even if it is not needed).

>  - gitweb: Use light/dark for class names also in 'blame' view
>  - gitweb: Add author initials in 'blame' view, a la "git gui blame"
>  - gitweb: Mark commits with no "previous" in 'blame' view
>  - gitweb: Use "previous" header of git-blame -p in 'blame' view
>  - gitweb: Mark boundary commits in 'blame' view
>  - gitweb: Make .error style generic
> 
> Still in flux/rfc.

This part is, I think, good now (after fixing embarassing but harmless
unquote_maybe() incident ;-)).  Junio had some questions about style
used, but it can be very easily fiddled with later, IMVHO.

> 
> * ns/init-mkdir (Sat Jul 25 06:59:28 2009 +0900) 1 commit
>  + git init: optionally allow a directory argument
> 
> Didn't look bad, but is not pressing either.

This is I think good UI improvement.

-- 
Jakub Narebski
Poland
ShadeHawk on #git